Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.brillouin_d

skbio.diversity.alpha.brillouin_d(counts)

  Calculate Brillouin’s diversity index.

  Brillouin’s diversity index (\(H_B\)) is defined as:

  \[H_B = \frac{\ln N!-\sum_{i=1}^S{\ln n_i!}}{N}\]

  where \(N\) is the total number of individuals in the sample, \(S\) is the number of taxa, and \(n_i\) is the number of individuals in the \(i^{\text{th}}\) taxon.

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

  Returns:
    float

      Brillouin’s diversity index.

  Notes

  Brillouin’s diversity index was originally described in [1].

  References

  [1]

  Brillouin, L. (1956). Science and Information Theory. Academic Press. New York.